package bank;

import java.util.*;

public class Kontomodel
{
	private String ejer;
	private int id;
	private double saldo;
	private List bevgelser = new ArrayList();

	public Kontomodel(String ejer1, int id1) { ejer = ejer1; id = id1; }
	public Kontomodel(String ejer1, int id1, double saldo1) 
		{ ejer = ejer1; id = id1; saldo = saldo1; }

	public String getEjer()     { return ejer; }
	public int getId()          { return id; }
	public double getSaldo()    { return saldo; }
	public List getBevgelser() { return bevgelser; }

	public String toString()    { return ejer + ": "+saldo+" kr"; }

	public void overfr(Kontomodel til, double belb)
	{
		if (belb<=0) throw new IllegalArgumentException("Belb skal vre positivt");
		if (belb>saldo) throw new IllegalArgumentException("Der er ikke penge nok");
		saldo = saldo - belb;
		til.saldo = til.saldo + belb;// privat variabel kan ndres i samme klasse

		String ndring = "Overfrt "+belb+" fra "+ejer+" til "+til.ejer;
		bevgelser.add(ndring);
		til.bevgelser.add(ndring);
	}

	public void hv(double belb)
	{
		if (belb<=0) throw new IllegalArgumentException("Belb skal vre positivt");
		if (belb>saldo) throw new IllegalArgumentException("Der er ikke penge nok");
		saldo = saldo - belb;
		bevgelser.add("Hvet "+belb);
	}

	public void indst(double belb)
	{
		if (belb<=0) throw new IllegalArgumentException("Belb skal vre positivt");
		saldo = saldo + belb;
		bevgelser.add("Indsat "+belb);
	}
}